package com.bonus.core.order.common.service;


import com.bonus.core.order.common.model.OrderAmountDetail;
import com.bonus.core.pay.common.vo.TradeChannelVO;

import java.time.LocalDate;
import java.util.Collection;
import java.util.List;

public interface OrderAmountDetailService {
   void insertList(List<OrderAmountDetail> orderAmountDetailList);

   List<OrderAmountDetail> insertByRefund(List<TradeChannelVO> tradeChannelVOList, Long orderId, LocalDate orderDate, Long orderRefundId);

   void deleteByOrderIds(List<Long> orderIds, Collection<LocalDate> orderDates);

   List<OrderAmountDetail> listByOrderIds(List<Long> orderIds, Collection<LocalDate> orderDates, Integer amountDetailType);
}
